summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Yi <byi@google.com>2014-05-12 11:41:26 -0700
committerBill Yi <byi@google.com>2014-05-12 11:41:26 -0700
commitd1d30cfccb90dc59ceb3561c0b8fd7752938283e (patch)
tree9bd732f11980734cbd6d8b46b1c0006593810c6e
parentecc033e56c42e0c19018c809acf1f6a8a7249e6f (diff)
downloadandroid_device_common-d1d30cfccb90dc59ceb3561c0b8fd7752938283e.tar.gz
android_device_common-d1d30cfccb90dc59ceb3561c0b8fd7752938283e.tar.bz2
android_device_common-d1d30cfccb90dc59ceb3561c0b8fd7752938283e.zip
Add 64 bit support for generating packages.
We currently store all binary files in just one directory i.e., vendor/$COMPANY/$DEVICE/proprietary There are proprietary binary files in lib and lib64 with the same name. To preserve both versions we put 64 bit files under lib64 sub-directory. Change-Id: I27c395bdef1d2f5b75df34609ccef72cb480a4f3
-rwxr-xr-xgenerate-packages.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/generate-packages.sh b/generate-packages.sh
index e4f45f1..96d07ef 100755
--- a/generate-packages.sh
+++ b/generate-packages.sh
@@ -50,11 +50,19 @@ do
then
ONE_FILE=`echo $ONE_FILE | sed 's/system\//SYSTEM\//g'`
fi
+
+ if [[ $ONE_FILE == */lib64/* ]]
+ then
+ FILEDIR_NEW=$FILEDIR/lib64
+ else
+ FILEDIR_NEW=$FILEDIR
+ fi
+
echo \ \ \ \ Extracting $ONE_FILE
- unzip -j -o $ZIP $ONE_FILE -d $FILEDIR > /dev/null || echo \ \ \ \ Error extracting $ONE_FILE
+ unzip -j -o $ZIP $ONE_FILE -d $FILEDIR_NEW> /dev/null || echo \ \ \ \ Error extracting $ONE_FILE
if test ${ONE_FILE,,} = system/vendor/bin/gpsd -o ${ONE_FILE,,} = system/vendor/bin/pvrsrvinit -o ${ONE_FILE,,} = system/bin/fRom
then
- chmod a+x $FILEDIR/$(basename $ONE_FILE) || echo \ \ \ \ Error chmoding $ONE_FILE
+ chmod a+x $FILEDIR_NEW/$(basename $ONE_FILE) || echo \ \ \ \ Error chmoding $ONE_FILE
fi
done
echo \ \ Setting up $COMPANY-specific makefiles